interface ContractInfo {
    name: string;
    address: string;
    abi: any;
}
export declare const DEXMANAGER_ADDRESS: {
    [chainId: number]: string;
};
export declare const ORDERBOOK_ADDRESS: {
    [chainId: number]: string;
};
export declare const PORTFOLIO_ADDRESS: {
    [chainId: number]: string;
};
export declare const TRADEPAIRS_ADDRESS: {
    [chainId: number]: string;
};
export declare const LISTENER_CONTRACTS: {
    [chainId: number]: [ContractInfo];
};
export declare const TRADE_LISTENER_CONTRACTS: {
    1: {
        name: string;
        address: string;
        abi: any;
    }[];
    56: {
        name: string;
        address: string;
        abi: any;
    }[];
    137: {
        name: string;
        address: string;
        abi: any;
    }[];
    43114: {
        name: string;
        address: string;
        abi: any;
    }[];
    1285: {
        name: string;
        address: string;
        abi: any;
    }[];
    1284: {
        name: string;
        address: string;
        abi: any;
    }[];
    250: {
        name: string;
        address: string;
        abi: any;
    }[];
    1088: {
        name: string;
        address: string;
        abi: any;
    }[];
};
export declare const TOKEN_FARM_LISTENER_CONTRACTS: {
    1: {
        name: string;
        address: string;
        abi: any;
    }[];
    56: {
        name: string;
        address: string;
        abi: any;
    }[];
    137: {
        name: string;
        address: string;
        abi: any;
    }[];
    43114: {
        name: string;
        address: string;
        abi: any;
    }[];
    1285: {
        name: string;
        address: string;
        abi: any;
    }[];
    1284: {
        name: string;
        address: string;
        abi: any;
    }[];
    250: {
        name: string;
        address: string;
        abi: any;
    }[];
    1088: {
        name: string;
        address: string;
        abi: any;
    }[];
    42161: {
        name: string;
        address: string;
        abi: any;
    }[];
    421611: {
        name: string;
        address: string;
        abi: any;
    }[];
};
export declare const SSS_LISTENER_CONTRACTS: {
    1: {
        name: string;
        address: string;
        abi: any;
    }[];
    1088: {
        name: string;
        address: string;
        abi: any;
    }[];
};
export declare const DEX_MANAGER_LISTENER_CONTRACTS: {
    1: {
        name: string;
        address: string;
        abi: any;
    }[];
    1088: {
        name: string;
        address: string;
        abi: any;
    }[];
    421611: {
        name: string;
        address: string;
        abi: any;
    }[];
};
export declare const TRADE_PAIRS_LISTENER_CONTRACTS: {
    1: {
        name: string;
        address: string;
        abi: any;
    }[];
    1088: {
        name: string;
        address: string;
        abi: any;
    }[];
    421611: {
        name: string;
        address: string;
        abi: any;
    }[];
};
export declare const ORDERBOOKS_LISTENER_CONTRACTS: {
    1: {
        name: string;
        address: string;
        abi: any;
    }[];
    1088: {
        name: string;
        address: string;
        abi: any;
    }[];
    421611: {
        name: string;
        address: string;
        abi: any;
    }[];
};
export declare const PORTFOLIO_LISTENER_CONTRACTS: {
    1: {
        name: string;
        address: string;
        abi: any;
    }[];
    1088: {
        name: string;
        address: string;
        abi: any;
    }[];
    421611: {
        name: string;
        address: string;
        abi: any;
    }[];
};
export {};
